# Class Thelia\Model\om\BaseDocumentDescQuery | thelia

# Class BaseDocumentDescQuery

Base class that represents a query for the 'document_desc' table.

  ModelCriteria
  Thelia\Model\om\BaseDocumentDescQuery

#### Direct known subclasses

Thelia\Model\DocumentDescQuery
Abstract
Namespace: Thelia\Model\om
Package: propel\generator\Thelia\Model\om
Located at core/lib/Thelia/Model/om/BaseDocumentDescQuery.php

Methods summary

`public`

# `__construct( string $dbName = 'thelia', string $modelName = 'Thelia\\Model\\DocumentDesc', string $modelAlias = null )`

Initializes internal state of BaseDocumentDescQuery object.

Initializes internal state of BaseDocumentDescQuery object.

#### Parameters

$dbName
  `string`
  $dbName The dabase name
$modelName
  `string`
  $modelName The phpName of a model, e.g. 'Book'
$modelAlias
  `string`
  $modelAlias The alias for the model in this query, e.g. 'b'

`public static `Thelia\Model\DocumentDescQuery``

# `create( string $modelAlias = null, `Thelia\Model\DocumentDescQuery`|Criteria $criteria = null )`

Returns a new DocumentDescQuery object.

Returns a new DocumentDescQuery object.

#### Parameters

$modelAlias
  `string`
  $modelAlias The alias of a model in the query
$criteria
  ``Thelia\Model\DocumentDescQuery`|Criteria`
  $criteria Optional Criteria to build the query from

#### Returns

``Thelia\Model\DocumentDescQuery``

`public `Thelia\Model\DocumentDesc`|`Thelia\Model\DocumentDesc[]`|mixed`

# `findPk( mixed $key, PropelPDO $con = null )`

Find object by primary key. Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

Find object by primary key. Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

    $obj  = $c->findPk(12, $con);

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con an optional connection object

#### Returns

``Thelia\Model\DocumentDesc`|`Thelia\Model\DocumentDesc[]`|mixed`
the result, formatted by the current formatter

`protected `Thelia\Model\DocumentDesc``

# `findPkSimple( mixed $key, PropelPDO $con )`

Find object by primary key using raw SQL to go fast. Bypass doSelect() and the object formatter by using generated code.

Find object by primary key using raw SQL to go fast. Bypass doSelect() and the object formatter by using generated code.

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con A connection object

#### Returns

``Thelia\Model\DocumentDesc``
A model object, or null if the key is not found

#### Throws

`PropelException`

`protected `Thelia\Model\DocumentDesc`|`Thelia\Model\DocumentDesc[]`|mixed`

# `findPkComplex( mixed $key, PropelPDO $con )`

Find object by primary key.

Find object by primary key.

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con A connection object

#### Returns

``Thelia\Model\DocumentDesc`|`Thelia\Model\DocumentDesc[]`|mixed`
the result, formatted by the current formatter

`public PropelObjectCollection|`Thelia\Model\DocumentDesc[]`|mixed`

# `findPks( array $keys, PropelPDO $con = null )`

Find objects by primary key

    $objs = $c->findPks(array(12, 56, 832), $con);

Find objects by primary key

    $objs = $c->findPks(array(12, 56, 832), $con);

#### Parameters

$keys
  `array`
  $keys Primary keys to use for the query
$con
  `PropelPDO`
  $con an optional connection object

#### Returns

`PropelObjectCollection|`Thelia\Model\DocumentDesc[]`|mixed`
the list of results, formatted by the current formatter

`public `Thelia\Model\DocumentDescQuery``

# `filterByPrimaryKey( mixed $key )`

Filter the query by primary key

Filter the query by primary key

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query

#### Returns

``Thelia\Model\DocumentDescQuery``
The current query, for fluid interface

`public `Thelia\Model\DocumentDescQuery``

# `filterByPrimaryKeys( array $keys )`

Filter the query by a list of primary keys

Filter the query by a list of primary keys

#### Parameters

$keys
  `array`
  $keys The list of primary key to use for the query

#### Returns

``Thelia\Model\DocumentDescQuery``
The current query, for fluid interface

`public `Thelia\Model\DocumentDescQuery``

# `filterById( mixed $id = null, string $comparison = null )`

Filter the query on the id column

Filter the query on the id column

Example usage:

    $query->filterById(1234); // WHERE id = 1234
    $query->filterById(array(12, 34)); // WHERE id IN (12, 34)
    $query->filterById(array('min' => 12)); // WHERE id > 12

#### Parameters

$id
  `mixed`
  $id The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\DocumentDescQuery``
The current query, for fluid interface

`public `Thelia\Model\DocumentDescQuery``

# `filterByDocumentId( mixed $documentId = null, string $comparison = null )`

Filter the query on the document_id column

Filter the query on the document_id column

Example usage:

    $query->filterByDocumentId(1234); // WHERE document_id = 1234
    $query->filterByDocumentId(array(12, 34)); // WHERE document_id IN (12, 34)
    $query->filterByDocumentId(array('min' => 12)); // WHERE document_id > 12

#### Parameters

$documentId
  `mixed`
  $documentId The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\DocumentDescQuery``
The current query, for fluid interface

#### See

``Thelia\Model\om\BaseDocumentDescQuery::filterByDocument()``

`public `Thelia\Model\DocumentDescQuery``

# `filterByLang( string $lang = null, string $comparison = null )`

Filter the query on the lang column

Filter the query on the lang column

Example usage:

    $query->filterByLang('fooValue');   // WHERE lang = 'fooValue'
    $query->filterByLang('%fooValue%'); // WHERE lang LIKE '%fooValue%'

#### Parameters

$lang
  `string`
  $lang The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\DocumentDescQuery``
The current query, for fluid interface

`public `Thelia\Model\DocumentDescQuery``

# `filterByTitle( string $title = null, string $comparison = null )`

Filter the query on the title column

Filter the query on the title column

Example usage:

    $query->filterByTitle('fooValue');   // WHERE title = 'fooValue'
    $query->filterByTitle('%fooValue%'); // WHERE title LIKE '%fooValue%'

#### Parameters

$title
  `string`
  $title The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\DocumentDescQuery``
The current query, for fluid interface

`public `Thelia\Model\DocumentDescQuery``

# `filterByDescription( string $description = null, string $comparison = null )`

Filter the query on the description column

Filter the query on the description column

Example usage:

    $query->filterByDescription('fooValue');   // WHERE description = 'fooValue'
    $query->filterByDescription('%fooValue%'); // WHERE description LIKE '%fooValue%'

#### Parameters

$description
  `string`
  $description The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\DocumentDescQuery``
The current query, for fluid interface

`public `Thelia\Model\DocumentDescQuery``

# `filterByChapo( string $chapo = null, string $comparison = null )`

Filter the query on the chapo column

Filter the query on the chapo column

Example usage:

    $query->filterByChapo('fooValue');   // WHERE chapo = 'fooValue'
    $query->filterByChapo('%fooValue%'); // WHERE chapo LIKE '%fooValue%'

#### Parameters

$chapo
  `string`
  $chapo The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\DocumentDescQuery``
The current query, for fluid interface

`public `Thelia\Model\DocumentDescQuery``

# `filterByCreatedAt( mixed $createdAt = null, string $comparison = null )`

Filter the query on the created_at column

Filter the query on the created_at column

Example usage:

    $query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14'
    $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14'
    $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'

#### Parameters

$createdAt
  `mixed`
  $createdAt The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\DocumentDescQuery``
The current query, for fluid interface

`public `Thelia\Model\DocumentDescQuery``

# `filterByUpdatedAt( mixed $updatedAt = null, string $comparison = null )`

Filter the query on the updated_at column

Filter the query on the updated_at column

Example usage:

    $query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14'
    $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14'
    $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'

#### Parameters

$updatedAt
  `mixed`
  $updatedAt The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\DocumentDescQuery``
The current query, for fluid interface

`public `Thelia\Model\DocumentDescQuery``

# `filterByDocument( `Thelia\Model\Document`|PropelObjectCollection $document, string $comparison = null )`

Filter the query by a related Document object

Filter the query by a related Document object

#### Parameters

$document
  ``Thelia\Model\Document`|PropelObjectCollection`
  $document The related object(s) to use as filter
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\DocumentDescQuery``
The current query, for fluid interface

#### Throws

`PropelException`
- if the provided filter is invalid.

`public `Thelia\Model\DocumentDescQuery``

# `joinDocument( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::INNER_JOIN )`

Adds a JOIN clause to the query using the Document relation

Adds a JOIN clause to the query using the Document relation

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\DocumentDescQuery``
The current query, for fluid interface

`public `Thelia\Model\DocumentQuery``

# `useDocumentQuery( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::INNER_JOIN )`

Use the Document relation Document object

Use the Document relation Document object

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation, to be used as main alias in the secondary query
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\DocumentQuery``
A secondary query class using the current class as primary query

#### See

useQuery()

`public `Thelia\Model\DocumentDescQuery``

# `prune( `Thelia\Model\DocumentDesc` $documentDesc = null )`

Exclude object from result

Exclude object from result

#### Parameters

$documentDesc
  ``Thelia\Model\DocumentDesc``
  $documentDesc Object to remove from the list of results

#### Returns

``Thelia\Model\DocumentDescQuery``
The current query, for fluid interface

`public `Thelia\Model\DocumentDescQuery``

# `recentlyUpdated( integer $nbDays = 7 )`

Filter by the latest updated

Filter by the latest updated

#### Parameters

$nbDays
  `integer`
  $nbDays Maximum age of the latest update in days

#### Returns

``Thelia\Model\DocumentDescQuery``
The current query, for fluid interface

`public `Thelia\Model\DocumentDescQuery``

# `lastUpdatedFirst( )`

Order by update date desc

Order by update date desc

#### Returns

``Thelia\Model\DocumentDescQuery``
The current query, for fluid interface

`public `Thelia\Model\DocumentDescQuery``

# `firstUpdatedFirst( )`

Order by update date asc

Order by update date asc

#### Returns

``Thelia\Model\DocumentDescQuery``
The current query, for fluid interface

`public `Thelia\Model\DocumentDescQuery``

# `recentlyCreated( integer $nbDays = 7 )`

Filter by the latest created

Filter by the latest created

#### Parameters

$nbDays
  `integer`
  $nbDays Maximum age of in days

#### Returns

``Thelia\Model\DocumentDescQuery``
The current query, for fluid interface

`public `Thelia\Model\DocumentDescQuery``

# `lastCreatedFirst( )`

Order by create date desc

Order by create date desc

#### Returns

``Thelia\Model\DocumentDescQuery``
The current query, for fluid interface

`public `Thelia\Model\DocumentDescQuery``

# `firstCreatedFirst( )`

Order by create date asc

Order by create date asc

#### Returns

``Thelia\Model\DocumentDescQuery``
The current query, for fluid interface

Magic methods summary

`public `Thelia\Model\DocumentDescQuery``

# `orderById( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the id column

Order by the id column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\DocumentDescQuery``

`public `Thelia\Model\DocumentDescQuery``

# `orderByDocumentId( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the document_id column

Order by the document_id column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\DocumentDescQuery``

`public `Thelia\Model\DocumentDescQuery``

# `orderByLang( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the lang column

Order by the lang column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\DocumentDescQuery``

`public `Thelia\Model\DocumentDescQuery``

# `orderByTitle( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the title column

Order by the title column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\DocumentDescQuery``

`public `Thelia\Model\DocumentDescQuery``

# `orderByDescription( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the description column

Order by the description column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\DocumentDescQuery``

`public `Thelia\Model\DocumentDescQuery``

# `orderByChapo( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the chapo column

Order by the chapo column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\DocumentDescQuery``

`public `Thelia\Model\DocumentDescQuery``

# `orderByCreatedAt( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the created_at column

Order by the created_at column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\DocumentDescQuery``

`public `Thelia\Model\DocumentDescQuery``

# `orderByUpdatedAt( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the updated_at column

Order by the updated_at column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\DocumentDescQuery``

`public `Thelia\Model\DocumentDescQuery``

# `groupById( )`

Group by the id column

Group by the id column

#### Returns

``Thelia\Model\DocumentDescQuery``

`public `Thelia\Model\DocumentDescQuery``

# `groupByDocumentId( )`

Group by the document_id column

Group by the document_id column

#### Returns

``Thelia\Model\DocumentDescQuery``

`public `Thelia\Model\DocumentDescQuery``

# `groupByLang( )`

Group by the lang column

Group by the lang column

#### Returns

``Thelia\Model\DocumentDescQuery``

`public `Thelia\Model\DocumentDescQuery``

# `groupByTitle( )`

Group by the title column

Group by the title column

#### Returns

``Thelia\Model\DocumentDescQuery``

`public `Thelia\Model\DocumentDescQuery``

# `groupByDescription( )`

Group by the description column

Group by the description column

#### Returns

``Thelia\Model\DocumentDescQuery``

`public `Thelia\Model\DocumentDescQuery``

# `groupByChapo( )`

Group by the chapo column

Group by the chapo column

#### Returns

``Thelia\Model\DocumentDescQuery``

`public `Thelia\Model\DocumentDescQuery``

# `groupByCreatedAt( )`

Group by the created_at column

Group by the created_at column

#### Returns

``Thelia\Model\DocumentDescQuery``

`public `Thelia\Model\DocumentDescQuery``

# `groupByUpdatedAt( )`

Group by the updated_at column

Group by the updated_at column

#### Returns

``Thelia\Model\DocumentDescQuery``

`public `Thelia\Model\DocumentDescQuery``

# `leftJoin( mixed $relation = )`

Adds a LEFT JOIN clause to the query

Adds a LEFT JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\DocumentDescQuery``

`public `Thelia\Model\DocumentDescQuery``

# `rightJoin( mixed $relation = )`

Adds a RIGHT JOIN clause to the query

Adds a RIGHT JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\DocumentDescQuery``

`public `Thelia\Model\DocumentDescQuery``

# `innerJoin( mixed $relation = )`

Adds a INNER JOIN clause to the query

Adds a INNER JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\DocumentDescQuery``

`public `Thelia\Model\DocumentDescQuery``

# `leftJoinDocument( mixed $relationAlias = null )`

Adds a LEFT JOIN clause to the query using the Document relation

Adds a LEFT JOIN clause to the query using the Document relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\DocumentDescQuery``

`public `Thelia\Model\DocumentDescQuery``

# `rightJoinDocument( mixed $relationAlias = null )`

Adds a RIGHT JOIN clause to the query using the Document relation

Adds a RIGHT JOIN clause to the query using the Document relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\DocumentDescQuery``

`public `Thelia\Model\DocumentDescQuery``

# `innerJoinDocument( mixed $relationAlias = null )`

Adds a INNER JOIN clause to the query using the Document relation

Adds a INNER JOIN clause to the query using the Document relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\DocumentDescQuery``

`public `Thelia\Model\DocumentDesc``

# `findOne( PropelPDO $con = null )`

Return the first DocumentDesc matching the query

Return the first DocumentDesc matching the query

#### Parameters

$con
  `PropelPDO`
  $con

#### Returns

``Thelia\Model\DocumentDesc``

`public `Thelia\Model\DocumentDesc``

# `findOneOrCreate( PropelPDO $con = null )`

Return the first DocumentDesc matching the query, or a new DocumentDesc object populated from the query conditions when no match is found

Return the first DocumentDesc matching the query, or a new DocumentDesc object populated from the query conditions when no match is found

#### Parameters

$con
  `PropelPDO`
  $con

#### Returns

``Thelia\Model\DocumentDesc``

`public `Thelia\Model\DocumentDesc``

# `findOneById( integer $id = )`

Return the first DocumentDesc filtered by the id column

Return the first DocumentDesc filtered by the id column

#### Parameters

$id
  `integer`
  $id

#### Returns

``Thelia\Model\DocumentDesc``

`public `Thelia\Model\DocumentDesc``

# `findOneByDocumentId( integer $document_id = )`

Return the first DocumentDesc filtered by the document_id column

Return the first DocumentDesc filtered by the document_id column

#### Parameters

$document_id
  `integer`
  $document_id

#### Returns

``Thelia\Model\DocumentDesc``

`public `Thelia\Model\DocumentDesc``

# `findOneByLang( string $lang = )`

Return the first DocumentDesc filtered by the lang column

Return the first DocumentDesc filtered by the lang column

#### Parameters

$lang
  `string`
  $lang

#### Returns

``Thelia\Model\DocumentDesc``

`public `Thelia\Model\DocumentDesc``

# `findOneByTitle( string $title = )`

Return the first DocumentDesc filtered by the title column

Return the first DocumentDesc filtered by the title column

#### Parameters

$title
  `string`
  $title

#### Returns

``Thelia\Model\DocumentDesc``

`public `Thelia\Model\DocumentDesc``

# `findOneByDescription( string $description = )`

Return the first DocumentDesc filtered by the description column

Return the first DocumentDesc filtered by the description column

#### Parameters

$description
  `string`
  $description

#### Returns

``Thelia\Model\DocumentDesc``

`public `Thelia\Model\DocumentDesc``

# `findOneByChapo( string $chapo = )`

Return the first DocumentDesc filtered by the chapo column

Return the first DocumentDesc filtered by the chapo column

#### Parameters

$chapo
  `string`
  $chapo

#### Returns

``Thelia\Model\DocumentDesc``

`public `Thelia\Model\DocumentDesc``

# `findOneByCreatedAt( string $created_at = )`

Return the first DocumentDesc filtered by the created_at column

Return the first DocumentDesc filtered by the created_at column

#### Parameters

$created_at
  `string`
  $created_at

#### Returns

``Thelia\Model\DocumentDesc``

`public `Thelia\Model\DocumentDesc``

# `findOneByUpdatedAt( string $updated_at = )`

Return the first DocumentDesc filtered by the updated_at column

Return the first DocumentDesc filtered by the updated_at column

#### Parameters

$updated_at
  `string`
  $updated_at

#### Returns

``Thelia\Model\DocumentDesc``

`public array`

# `findById( integer $id = )`

Return DocumentDesc objects filtered by the id column

Return DocumentDesc objects filtered by the id column

#### Parameters

$id
  `integer`
  $id

#### Returns

`array`

`public array`

# `findByDocumentId( integer $document_id = )`

Return DocumentDesc objects filtered by the document_id column

Return DocumentDesc objects filtered by the document_id column

#### Parameters

$document_id
  `integer`
  $document_id

#### Returns

`array`

`public array`

# `findByLang( string $lang = )`

Return DocumentDesc objects filtered by the lang column

Return DocumentDesc objects filtered by the lang column

#### Parameters

$lang
  `string`
  $lang

#### Returns

`array`

`public array`

# `findByTitle( string $title = )`

Return DocumentDesc objects filtered by the title column

Return DocumentDesc objects filtered by the title column

#### Parameters

$title
  `string`
  $title

#### Returns

`array`

`public array`

# `findByDescription( string $description = )`

Return DocumentDesc objects filtered by the description column

Return DocumentDesc objects filtered by the description column

#### Parameters

$description
  `string`
  $description

#### Returns

`array`

`public array`

# `findByChapo( string $chapo = )`

Return DocumentDesc objects filtered by the chapo column

Return DocumentDesc objects filtered by the chapo column

#### Parameters

$chapo
  `string`
  $chapo

#### Returns

`array`

`public array`

# `findByCreatedAt( string $created_at = )`

Return DocumentDesc objects filtered by the created_at column

Return DocumentDesc objects filtered by the created_at column

#### Parameters

$created_at
  `string`
  $created_at

#### Returns

`array`

`public array`

# `findByUpdatedAt( string $updated_at = )`

Return DocumentDesc objects filtered by the updated_at column

Return DocumentDesc objects filtered by the updated_at column

#### Parameters

$updated_at
  `string`
  $updated_at

#### Returns

`array`